# opyrability - Process Operability Analysis in Python.

Welcome to opyrability, a Python-based package for performing [Process Operability](https://www.sciencedirect.com/science/article/pii/S1474667017338028) analysis.

opyrability is developed by the Control, Optimization and Design for Energy and Sustainability (CODES) Group at West Virginia University under Dr. [Fernando V. Lima](https://fernandolima.faculty.wvu.edu/)'s supervision.

![](/docs/opyrability_overview.png)

Authors:
[Victor Alves](https://github.com/victoraalves) and [San Dinh](https://github.com/sanqdinh)


## Installation

From PyPI:

```console
pip install opyrability
```

Then install [Cyipopt](https://github.com/mechmotum/cyipopt) (non-automated dependency) and [Polytope's latest version hosted on GitHub](https://github.com/tulip-control/polytope):

```console
conda install -c conda-forge cyipopt
```

```
pip install git+https://github.com/tulip-control/polytope.git@main
```

Conda packaging coming soon.

## Documentation and Process Operability Principles

Full documentation and discussion regarding process operability principles are available in [opyrability's online portal.](https://codes-group.github.io/opyrability/)



